import * as _yamada_ui_core from '@yamada-ui/core';
import { HTMLUIProps, ThemeProps } from '@yamada-ui/core';
import { TextProps } from '@yamada-ui/typography';
import { ReactNode, FC } from 'react';

type Options = {
    text: string;
    query: string | string[];
};
type Chunk = {
    text: string;
    match: boolean;
};
declare const useHighlight: ({ text, query }: Options) => Chunk[];
type HighlightProps = TextProps & {
    isFragment?: boolean;
    query: string | string[];
    children: string | ((props: Chunk[]) => ReactNode);
    markProps?: MarkProps;
};
declare const Highlight: FC<HighlightProps>;
type MarkProps = HTMLUIProps<'mark'> & ThemeProps<'Mark'>;
declare const Mark: _yamada_ui_core.Component<"mark", MarkProps>;

export { Highlight, HighlightProps, Mark, MarkProps, useHighlight };
